### Hierarchy

- CallFunctionOnParameterType

## Index

### Properties

- arguments
- awaitPromise
- executionContextId
- functionDeclaration
- generatePreview
- objectGroup
- objectId
- returnByValue
- silent
- userGesture

## Properties

### Optional arguments

arguments: CallArgument[]

- Defined in node_modules/@types/node/inspector.d.ts:1517

Call arguments. All call arguments must belong to the same JavaScript world as the target object.

### Optional awaitPromise

awaitPromise: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1540

Whether execution should `await` for resulting value and return once awaited promise is resolved.

### Optional executionContextId

executionContextId: ExecutionContextId

- Defined in node_modules/@types/node/inspector.d.ts:1545

Specifies execution context which global object will be used to call function on. Either executionContextId or objectId should be specified.

### functionDeclaration

functionDeclaration: string

- Defined in node_modules/@types/node/inspector.d.ts:1507

Declaration of the function to call.

### Optional generatePreview

generatePreview: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1531

Whether preview should be generated for the result.

experimental

### Optional objectGroup

objectGroup: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1550

Symbolic group name that can be used to release multiple objects. If objectGroup is not specified and objectId is, objectGroup will be inherited from object.

### Optional objectId

objectId: RemoteObjectId

- Defined in node_modules/@types/node/inspector.d.ts:1512

Identifier of the object to call function on. Either objectId or executionContextId should be specified.

### Optional returnByValue

returnByValue: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1526

Whether the result is expected to be a JSON object which should be sent by value.

### Optional silent

silent: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1522

In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides `setPauseOnException` state.

### Optional userGesture

userGesture: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1535

Whether execution should be treated as initiated by user in the UI.

Generated using TypeDoc